:root {
  --wbdune: #f2b06e;
  --wbblue: #6585e7;
  --wbblue-active: #3862e0;
  --wbred: #e14141;
  --wbred-active: #dd2222;
  --wbfont-color: #444444;
  --ledig: #4CAF50;
  --forsenat: #8B4513;
  --utgaende: #FFC107;
  --service: #808080;
}

body {
  background: #f6f6f6;
  color: #333333;
  margin-top: 5rem;
}

.footer {
  margin-top: 50px;
  background-size: cover;
  background-position: center;
  height: 10vh;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--wbfont-color);
}

a {
  color: var(--wbfont-color);
  text-decoration: none;
}

a:hover {
  color: var(--wbblue-active);
}

.badge-link:hover .badge {
    filter: brightness(0.9);
}

.top-margin50 {
    margin-top: 50px;
}

.top-margin25 {
    margin-top: 25px;
}

.top-margin10 {
    margin-top: 10px;
}

.bg-steel {
  background-color: #5f788a;
}

.bg-softgray {
  background-color: #f6f6f6;
}

.bg-light-violet {
  background-color: #b54dff;
}

.bg-xlight-violet {
  background-color: #f9d2f9;
}

.bg-primary-dune {
  background-color: var(--wbdune);
}

.bg-wbblue {
  background-color: var(--wbblue);
}

.site-header .wb-navbar {
  background-image: linear-gradient(to right, var(--wbdune), rgb(from var(--wbdune) r g b / 0.75));
}

.site-header .navbar-nav .nav-link {
  color: #ffffff;
}

.site-header .navbar-nav .nav-link:hover {
  color: #666666;
}

.site-header .navbar-nav .nav-link.active {
  font-weight: 500;
}

.site-header .navbar-brand {
  transition: transform 0.3s ease-in-out;
}

.site-header .navbar-brand:hover {
  color: var(--wbfont-color);
  transform: rotate(-4deg) scale(1.05);
}

.content-section {
  background: #ffffff;
  padding: 16px 20px;
  border: 1px solid #eeeeee;
  border-radius: 16px;
  margin-bottom: 20px;
}

.article-title {
  color: var(--wbfont-color);
}

a.article-title:hover {
  color: #428bca;
  text-decoration: none;
}

.article-content {
  white-space: pre-line;
}

.article-img {
  height: 65px;
  width: 65px;
  margin-right: 16px;
}

.article-metadata {
  padding-bottom: 1px;
  margin-bottom: 4px;
  border-bottom: 1px solid #e3e3e3
}

.article-metadata a:hover {
  color: #333;
  text-decoration: none;
}

.article-svg {
  width: 25px;
  height: 25px;
  vertical-align: middle;
}

.account-img {
  height: 125px;
  width: 125px;
  margin-right: 20px;
  margin-bottom: 16px;
}

.account-heading {
  font-size: 2.5rem;
}

.hover-card {
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.hover-card:hover {
  transform: scale(1.01);
  box-shadow: 0 10px 20px rgba(0,0,0,.06), 0 4px 8px rgba(0,0,0,.03);
}

.lockergrid-btn {
    color: white;
    padding: 10px 2px;
    text-align: center;
    border: none;
    cursor: pointer;
    max-width: 100%;
    min-width: 0;
    min-height: 10vh;
    box-sizing: border-box;
    display: block;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    font-weight: bold;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}



.btn-forsenat {
    background-color: var(--forsenat);
    color:#FFF;
    border-color: var(--forsenat);
    font-size: 10px;
}
.btn-forsenat:hover, .btn-forsenat:focus, .btn-forsenat:active, .btn-forsenat.active, .open .dropdown-toggle.btn-forsenat {
    background-color: rgb(from var(--forsenat) r g b / 0.75);
    color:#000;
    border-color: rgb(from var(--forsenat) r g b / 0.75);
}

.btn-ledig {
    background-color: var(--ledig);
    color:#FFF;
    border-color: var(--ledig);
}

.btn-ledig:hover, .btn-ledig:focus, .btn-ledig:active, .btn-ledig.active, .open .dropdown-toggle.btn-ledig {
    background-color: rgb(from var(--ledig) r g b / 0.75);
    color:#000;
    border-color: rgb(from var(--ledig) r g b / 0.75);
}

.btn-utgaende {
    background-color: var(--utgaende);
    color:#FFF;
    border-color: var(--utgaende);
}

.btn-utgaende:hover, .btn-utgaende:focus, .btn-utgaende:active, .btn-utgaende.active, .open .dropdown-toggle.btn-utgaende {
    background-color: rgb(from var(--utgaende) r g b / 0.75);
    color:#000;
    border-color: rgb(from var(--utgaende) r g b / 0.75);
}

.btn-service {
  background-color: var(--service);
  color:#FFF;
  border-color: var(--service);
}

.btn-service:hover, .btn-service:focus, .btn-service:active, .btn-service.active, .open .dropdown-toggle.btn-service {
  background-color: rgb(from var(--service) r g b / 0.75);
  color:#000;
  border-color: rgb(from var(--service) r g b / 0.75);
}

.btn-primary {
    background-color: var(--wbblue);
    color: #FFFFFF;
    border-color: var(--wbblue);
}

.btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .open .dropdown-toggle.btn-primary {
    background-color: var(--wbblue-active);
    color:#FFFFFF;
    border-color: var(--wbblue-active);
}

.btn-danger {
    background-color: var(--wbred);
    color: #FFFFFF;
    border-color: var(--wbred);
}

.btn-danger:hover, .btn-danger:focus, .btn-danger:active, .btn-danger.active, .open .dropdown-toggle.btn-danger {
    background-color: var(--wbred-active);
    color:#FFFFFF;
    border-color: var(--wbred-active);
}

.bg-forsenat {
    background-color: var(--forsenat);
    color:#FFF;
    border-color: var(--forsenat);
}

.bg-ledig {
    background-color: var(--ledig);
    color:#FFF;
    border-color: var(--ledig);
}

.bg-utgaende {
    background-color: var(--utgaende);
    color:#FFF;
    border-color: var(--utgaende);
}

.bg-service {
  background-color: var(--service);
  color:#FFF;
  border-color: var(--service);
}

.bg-wblight {
    background-color: #EEEEEE;
    color:#333333;
}

.license-bar-text {
    color: #000;
}

.link-gray {
    color: #5f788a;
}

.border-radius-15 {
    border-radius: 15px;
}

.cabinet-card .card-license-info {
    position: absolute;
    top: 8px;
    left: 8px;
    padding: 3px 8px;
    border-radius: 20px;
    color: white;
    font-size: 0.9em;
    font-weight: bold;
    z-index: 10;
    /* Default background color with some transparency */
    background-color: rgba(255, 255, 255, 0.5);
}

.cabinet-card .card-license-info.danger {
    background-color: rgba(255, 0, 0, 0.8); /* Red with transparency */
}

.cabinet-card .card-license-info.warning {
    background-color: rgba(30, 144, 255, 0.8); /* Orange with transparency */
}

@keyframes wbFadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.cabinet-card {
  opacity: 0;
  animation: wbFadeIn 0.5s ease-in-out forwards;
  cursor: pointer;
}

.clickable {
  cursor: pointer;
}

.refresh-btn {
    border: none;
    background: none;
    padding: 0;
    cursor: pointer;
    transition: transform 0.2s;
}

.refresh-btn i {
    color: #999999; /* Default color */
    transition: color 0.3s;
}

.refresh-btn:hover i {
    color: var(--wbdune); /* Darkened color on hover */
}

.refresh-btn:focus {
    outline: none;
}

.refresh-btn.spinning {
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
